Create Resident Files: Rent Manager
https://api.propexo.com/v1/residents/rentmanager/:resident_id/file-upload/| Method |
|---|
| POST /Tenants/UserDefinedValues |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the integration
attachments object[]required
Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
The type of file being uploaded. This defaults to "Document"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
attachments object[]required
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/residents/rentmanager/:resident_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachments": [
{
"file_type_id": "string",
"file_type": "Document",
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"attachments": [
{
"file_type_id": "string",
"file_type": "Document",
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}
}